﻿@using SharedCode.Localization
@model SharedCode.Localization.ILanguageModel


<li class="nav-item dropdown">
    <a class="nav-link dropdown-toggle" 
       href="#" 
       id="LanguageDropdownMenuLink" 
       role="button" 
       data-toggle="dropdown" 
       aria-haspopup="true"
       aria-expanded="false">
        @LanguageService.Instance.GetCurrentLanguage().ToUpper()
    </a>
    <div class="dropdown-menu bg-dark" aria-labelledby="LanguageDropdownMenuLink">
        @{
            foreach (var language in LanguageService.Instance.AvailableLanguages)
            {
                <a class="nav-link" href="@Url.Action(
                        controllerName:AppStrings.HomeControllerName,
                        actionName:AppStrings.ChangeLocalizationActionName,
                        routeValues:new { languageName = language.LanguageCultureName})">
                    @language.LanguageCultureName.ToUpper()
                </a>
            }
        }
    </div>
</li>